#ifndef COMPILE_H
#include "COMPILE.H"
#endif
#ifdef MEDIA768_AU2E_AU3E
extern FTL_LIBRARY* PRIM_08_Library_Open();

FTL_LIBRARY* G3318_FIO1base;


FIO1_29_(
)
{
        asm {
                movea.l G3318_FIO1base,a0
                movea.l -0x74(a0),a1
                jmp     (a1)
        }
}

FIO1_28_(
)
{
        asm {
                movea.l G3318_FIO1base,a0
                movea.l -0x70(a0),a1
                jmp     (a1)
        }
}

FIO1_27_(
)
{
        asm {
                movea.l G3318_FIO1base,a0
                movea.l -0x6C(a0),a1
                jmp     (a1)
        }
}

FIO1_26_(
)
{
        asm {
                movea.l G3318_FIO1base,a0
                movea.l -0x68(a0),a1
                jmp     (a1)
        }
}

FIO1_25_(
)
{
        asm {
                movea.l G3318_FIO1base,a0
                movea.l -0x64(a0),a1
                jmp     (a1)
        }
}

FIO1_24_(
)
{
        asm {
                movea.l G3318_FIO1base,a0
                movea.l -0x60(a0),a1
                jmp     (a1)
        }
}

FIO1_23_(
)
{
        asm {
                movea.l G3318_FIO1base,a0
                movea.l -0x5C(a0),a1
                jmp     (a1)
        }
}

FIO1_22_(
)
{
        asm {
                movea.l G3318_FIO1base,a0
                movea.l -0x58(a0),a1
                jmp     (a1)
        }
}

FIO1_21_Open(
)
{
        asm {
                movea.l G3318_FIO1base,a0
                movea.l -0x54(a0),a1
                jmp     (a1)
        }
}

FIO1_20_Create(
)
{
        asm {
                movea.l G3318_FIO1base,a0
                movea.l -0x50(a0),a1
                jmp     (a1)
        }
}

FIO1_19_Close(
)
{
        asm {
                movea.l G3318_FIO1base,a0
                movea.l -0x4C(a0),a1
                jmp     (a1)
        }
}

FIO1_18_GetSize(
)
{
        asm {
                movea.l G3318_FIO1base,a0
                movea.l -0x48(a0),a1
                jmp     (a1)
        }
}

FIO1_17_Tell(
)
{
        asm {
                movea.l G3318_FIO1base,a0
                movea.l -0x44(a0),a1
                jmp     (a1)
        }
}

FIO1_16_Seek(
)
{
        asm {
                movea.l G3318_FIO1base,a0
                movea.l -0x40(a0),a1
                jmp     (a1)
        }
}

FIO1_15_Read(
)
{
        asm {
                movea.l G3318_FIO1base,a0
                movea.l -0x3C(a0),a1
                jmp     (a1)
        }
}

FIO1_14_Write(
)
{
        asm {
                movea.l G3318_FIO1base,a0
                movea.l -0x38(a0),a1
                jmp     (a1)
        }
}

FIO1_13_Lock(
)
{
        asm {
                movea.l G3318_FIO1base,a0
                movea.l -0x34(a0),a1
                jmp     (a1)
        }
}

FIO1_12_Delete(
)
{
        asm {
                movea.l G3318_FIO1base,a0
                movea.l -0x30(a0),a1
                jmp     (a1)
        }
}

FIO1_11_Rename(
)
{
        asm {
                movea.l G3318_FIO1base,a0
                movea.l -0x2C(a0),a1
                jmp     (a1)
        }
}

FIO1_10_(
)
{
        asm {
                movea.l G3318_FIO1base,a0
                movea.l -0x28(a0),a1
                jmp     (a1)
        }
}

FIO1_09_(
)
{
        asm {
                movea.l G3318_FIO1base,a0
                movea.l -0x24(a0),a1
                jmp     (a1)
        }
}

FIO1_08_(
)
{
        asm {
                movea.l G3318_FIO1base,a0
                movea.l -0x20(a0),a1
                jmp     (a1)
        }
}

FIO1_07_SubstituteStringInFileName(
)
{
        asm {
                movea.l G3318_FIO1base,a0
                movea.l -0x1C(a0),a1
                jmp     (a1)
        }
}

FIO1_06_(
)
{
        asm {
                movea.l G3318_FIO1base,a0
                movea.l -0x18(a0),a1
                jmp     (a1)
        }
}

FIO1_05_FormatSaveDisk(
)
{
        asm {
                movea.l G3318_FIO1base,a0
                movea.l -0x14(a0),a1
                jmp     (a1)
        }
}

FIO1_04_IsDiskWriteable(
)
{
        asm {
                movea.l G3318_FIO1base,a0
                movea.l -0x10(a0),a1
                jmp     (a1)
        }
}

FTL_LIBRARY* F1303_OpenFIO1(P4396_i_MinimumVersion)
int16_t P4396_i_MinimumVersion;
{
        if (P4396_i_MinimumVersion <= 1) {
                G3318_FIO1base = PRIM_08_Library_Open(FTL_FIO1, (long)P4396_i_MinimumVersion);
        }
        return G3318_FIO1base;
}

long F1304_CloseFIO1(P4397_l_)
long P4397_l_;
{
        if (P4397_l_) {
                PRIM_09_Library_Close(FTL_FIO1);
        }
}
#endif
